<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* displayprofile-form-edit.twig */
class __TwigTemplate_317fc766f9c7f4cc9df0f67d2a171d150aab2b91ada400be053c2d3548d738f8 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formFieldActions' => [$this, 'block_formFieldActions'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 24
        $context["forms"] = $this->loadTemplate("forms.twig", "displayprofile-form-edit.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("form-base.twig", "displayprofile-form-edit.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_formTitle($context, array $blocks = [])
    {
        // line 27
        echo "    ";
        echo __("Edit Profile");
    }

    // line 30
    public function block_formButtons($context, array $blocks = [])
    {
        // line 31
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 32
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 33
        echo __("Save");
        echo ", displayProfileEditFormSubmit()
";
    }

    // line 36
    public function block_formFieldActions($context, array $blocks = [])
    {
        // line 37
        echo "    [
        {
        \"field\": \"statsEnabled\", \"trigger\": \"init\",
        \"operation\": \"is:checked\", \"value\": false,
        \"actions\": { \".aggregation-level\": { \"display\": \"none\" } }
        },{
        \"field\": \"statsEnabled\", \"trigger\": \"change\",
        \"operation\": \"is:checked\", \"value\": false,
        \"actions\": { \".aggregation-level\": { \"display\": \"none\" } }
        },
        {
        \"field\": \"statsEnabled\", \"trigger\": \"init\",
        \"operation\": \"is:checked\", \"value\": true,
        \"actions\": { \".aggregation-level\": { \"display\": \"block\" } }
        },{
        \"field\": \"statsEnabled\", \"trigger\": \"change\",
        \"operation\": \"is:checked\", \"value\": true,
        \"actions\": { \".aggregation-level\": { \"display\": \"block\" } }
        }
    ]
";
    }

    // line 59
    public function block_callBack($context, array $blocks = [])
    {
        echo "displayProfileFormOpen";
    }

    // line 61
    public function block_formHtml($context, array $blocks = [])
    {
        // line 62
        echo "    ";
        // line 63
        echo "    ";
        if (($this->getAttribute(($context["displayProfile"] ?? null), "getClientType", [], "method") == "android")) {
            // line 64
            echo "        ";
            $this->loadTemplate("displayprofile-form-edit-android.twig", "displayprofile-form-edit.twig", 64)->display($context);
            // line 65
            echo "    ";
        } elseif (($this->getAttribute(($context["displayProfile"] ?? null), "getClientType", [], "method") == "windows")) {
            // line 66
            echo "        ";
            $this->loadTemplate("displayprofile-form-edit-windows.twig", "displayprofile-form-edit.twig", 66)->display($context);
            // line 67
            echo "    ";
        } elseif (($this->getAttribute(($context["displayProfile"] ?? null), "getClientType", [], "method") == "linux")) {
            // line 68
            echo "        ";
            $this->loadTemplate("displayprofile-form-edit-linux.twig", "displayprofile-form-edit.twig", 68)->display($context);
            // line 69
            echo "    ";
        } elseif ((($this->getAttribute(($context["displayProfile"] ?? null), "getClientType", [], "method") == "lg") || ($this->getAttribute(($context["displayProfile"] ?? null), "getClientType", [], "method") == "sssp"))) {
            // line 70
            echo "        ";
            $this->loadTemplate("displayprofile-form-edit-soc.twig", "displayprofile-form-edit.twig", 70)->display($context);
            // line 71
            echo "    ";
        } else {
            // line 72
            echo "        ";
            ob_start(function () { return ''; });
            echo __("This is an unknown type of Player and there are no special settings for it.");
            $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 73
            echo "        ";
            echo $context["forms"]->getmessage(($context["message"] ?? null));
            echo "

        ";
            // line 75
            $this->loadTemplate("displayprofile-form-edit-common-fields.twig", "displayprofile-form-edit.twig", 75)->display($context);
            // line 76
            echo "    ";
        }
        // line 77
        echo "
    ";
        // line 78
        $this->loadTemplate("displayprofile-form-edit-javascript.twig", "displayprofile-form-edit.twig", 78)->display($context);
    }

    public function getTemplateName()
    {
        return "displayprofile-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  158 => 78,  155 => 77,  152 => 76,  150 => 75,  144 => 73,  139 => 72,  136 => 71,  133 => 70,  130 => 69,  127 => 68,  124 => 67,  121 => 66,  118 => 65,  115 => 64,  112 => 63,  110 => 62,  107 => 61,  101 => 59,  77 => 37,  74 => 36,  68 => 33,  64 => 32,  57 => 31,  54 => 30,  49 => 27,  46 => 26,  41 => 23,  39 => 24,  33 => 23,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "displayprofile-form-edit.twig", "/home/mgatv524/public_html/edurocha/views/displayprofile-form-edit.twig");
    }
}
